    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------
    028     * XYZDataset.java
    029     * ---------------
    030     * (C) Copyright 2001-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: XYZDataset.java,v 1.2.2.1 2005/10/25 21:36:51 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 31-Oct-2001 : Initial version (DG);
    040     * 05-May-2004 : Added getZ() method;
    041     * 15-Jul-2004 : Switched getZ() and getZValue() methods (DG);
    042     * 18-Aug-2004 : Moved from org.jfree.data --> org.jfree.data.xy (DG);
    043     *
    044     */
    045    package org.jfree.data.xy;
    046
    047
    048    /**
    049     * The interface through which JFreeChart obtains data in the form of (x, y, z)
    050     * items - used for XY and XYZ plots.
    051     */
    052    public interface XYZDataset extends XYDataset {
    053
    054        /**
    055         * Returns the z-value for the specified series and item.
    056         *
    057         * @param series  the series index (zero-based).
    058         * @param item  the item index (zero-based).
    059         *
    060         * @return The z-value (possibly <code>null</code>).
    061         */
    062        public Number getZ(int series, int item);
    063
    064        /**
    065         * Returns the z-value (as a double primitive) for an item within a series.
    066         *
    067         * @param series  the series (zero-based index).
    068         * @param item  the item (zero-based index).
    069         *
    070         * @return The z-value.
    071         */
    072        public double getZValue(int series, int item);
    073
    074    }